/*
 * +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 *  Copyright (c) 2010 - 2018 SRD
 *   THE INFORMATION CONTAINED IN THIS file IS THE sole intellectual property OF
 *   SNOWY RANGE INSTRUMENTS and protected under copyright law. ANY REPRODUCTION
 *   or dissemination IN PART OR WHOLE WITHOUT THE express WRITTEN PERMISSION OF
 *   SNOWY RANGE INSTRUMENTS IS PROHIBITED.
 * +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 */

#include <string.h>
#include <stdlib.h>
#include <stdint.h>

/* Driver Header files */
#include <ti/drivers/NVS.h>

/* Example/Board Header files */
#include "Board.h"

#include "sdi_task.h"

/*NVS_Handle nvsHandle;
NVS_Attrs regionAttrs;
NVS_Params nvsParams;*/

/*void NVS_Init()
{
  NVS_init();

   NVS_Params_init(&nvsParams);
   nvsHandle = NVS_open(Board_NVS1, &nvsParams);

   if (nvsHandle == NULL) {
       SDITask_Printf("NVS_open() failed.");
       return;
   }

   NVS_getAttrs(nvsHandle, &regionAttrs);

    NVS_Attrs.regionBase not used with NVS SPI
   SDITask_Printf("Sector Size: 0x%x",regionAttrs.sectorSize);
   SDITask_Printf("Region Size: 0x%x\n",regionAttrs.regionSize);

}*/

/*void NVS_Read(uint8_t offset, uint8_t * buffer, uint8_t length)
{
    NVS_read(nvsHandle, offset, (void *) buffer, length);
    SDITask_Printf("%s", buffer);
}*/

/*void NVS_Erase_All()
{
     Erase the entire flash region
    NVS_erase(nvsHandle, 0, regionAttrs.regionSize);
}*/

/*void NVS_Write(uint8_t offset, uint8_t * buffer, uint8_t length)
{
     Write signature to memory
    NVS_write(nvsHandle, offset, (void *) buffer, length,
    NVS_WRITE_PRE_VERIFY | NVS_WRITE_POST_VERIFY);
}*/



